Subject: Re: bug#20638: BUG: standard & extended RE's don't find NUL's :-(

From: Linda Walsh <[email-masked]>
Date: Mon, 25 May 2015 18:19:17 -0700

Paul Eggert wrote:
> Linda Walsh wrote:
>
>> Perhaps you want to tell me where the documentation on the
>> standard and/or extended RE's is that you use?
>
> We're talking about grep, so the relevant documentation is the grep 
> manual, not the awk manual or other random stuff you might find on the 
> Internet.  Type 'info grep'.  Or if you're in Emacs, type 'C-h i m 
> grep RET'.
----
 From the coreutils-5.97 info page:
Backslash escapes
     A backslash followed by a character not listed below causes an
     error message.
    `\a'
          Control-G.
    `\b'
          Control-H.
    `\f'
          Control-L.
    `\n'
          Control-J.
    `\r'
          Control-M.
    `\t'
          Control-I.
    `\v'
          Control-K.
    `\OOO'
          The character with the value given by OOO, which is 1 to 3
          octal digits,
    `\\'
          A backslash.
----
It didn't have 'hex' back then.  But you've broken backward compatibility.
That would normally be a regression.  You like to think that I wear a 
tinfoil hat -- but I just have a good memory for how grep used to operate.

Maybe you should do some memory strengthening exercises (though I admit my
memory isn't what it always was, it was in this case).

Should I file this as a 2nd bug, that grep broke backward compat?

It *used* to be compatible with 'awk's regex, which is why it is the
first entry in the "See also".

>
> Whether you do or not, they're irrelevant to this discussion and to be 
> honest that tinfoil-hat stuff isn't helping your case.
----
no tinfoil hat -- just a good memory, something you might find useful to
work on!  ;-)

-linda